Subject: Re: [idn] Dots, and a path to working IDNs

From: [email-masked]
Date: Thu, 31 May 2001 12:02:40 -0700

I am only address the user interface side of the question.  For 
industrial development, please see J. Seng's comment.  

Phonetic symbols is not the same with the number of sounds in
 a language.  For the number of sounds in a language you have
to ask speech recognition experts.

Liana Ye

On Thu, 31 May 2001 16:03:44 +0200 (MET DST) C C Magnus Gustavsson
<[email-masked]> writes:
> On Wed, 30 May 2001 [email-masked] wrote:
> 
> > Allow me to comment on your UTF-8 as a long term solution.
> > 
> > Most people in the world using a limited number of basic phonetic 
> symbols
> > to
> > communicate.  This point can be shown by looking through Unicode 
> tables.
> > Even for Chinese, it can be handled by 25 letters as the minimum.  
> We can
> > 
> > infer that the number of symbols in Latin alphabet is an optimum 
> number 
> > for majority people in the world.  
> 
> The number of consonants may be fine but the Latin vowals are at 
> least
> by far too few to represent the sounds of a large number of 
> languages
> (including English, btw).
> 
> 
> > The most charllenge problem is dealing with Chinese symbols, there 
> are 
> > 100,000 on the rise and the often used ones are over 
> 8,000(depending on
> > who's 
> > viewpoint this is.) each is cramed inside a square space.  If we 
> can
> > represent them 
> > with the existing small set of phonetic symbols why should we 
> bother with
> > UTF-8?  
> > IBM started 8-bits characters with international users in mind.  
> But that
> > solution 
> > was not effective and the industry  knows the reasons. 
> 
> I guess that I'm not part of "industry" then after all, because I 
> sure
> don't know neither that 8 bit characters are not effective nor the
> reasons. Perhaps you could explain them to us?
> 
> 
> > I can see supporting UTF-8, such that  we may have International
> > Alphabet, Cyrillic,
> >  Arabic with a larger keyboard for the user to take the full 
> usefulness
> > of 8-bits. 
> > Chinese have been tried large keyboards, and a medium 10x10 
> keyboard, but
> > 
> > only the English 3x10 has survived.  Without significent 
> improvement for
> > the
> >  users, who would dive into UTF-8 trouble?  
> 
> I'm sorry but I don't understand. What are you suggesting? That we
> stick with ASCII and don't bother about anything else? Are you 
> really
> trying to say that you don't see any improvement with using anything
> else than ASCII?
> 
> /Magnus
>